<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: block_tridiagonal_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_041db6ad6a3d44280e40e5af409429cb.html">solver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">block_tridiagonal_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal.html">block_tridiagonal_m::block_tridiagonal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__serial.html">block_tridiagonal_m::block_tridiagonal_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__periodic__serial.html">block_tridiagonal_m::block_tridiagonal_periodic_serial</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceblock__tridiagonal__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html">block_tridiagonal_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a47a93fd632212a1559bd7c864ac712f8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8">block_tridiagonal_m::block_tridiagonal_vs</a> (a, b, c, r, n, lot, dir, s1i, s2i, sd)</td></tr>
<tr class="separator:a47a93fd632212a1559bd7c864ac712f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99bf57ca775806e7eba043ad6be71d72"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72">block_tridiagonal_m::block_tridiagonal_periodic_serial_vs</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a99bf57ca775806e7eba043ad6be71d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab941c7fef888b52d52f80f53a67da6ca"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca">block_tridiagonal_m::block_tridiagonal_serial_vs</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:ab941c7fef888b52d52f80f53a67da6ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae680bad571130136cf42a6296745f935"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#ae680bad571130136cf42a6296745f935">block_tridiagonal_m::block_tridiagonal_periodic_serial_vso</a> (a, b, c, r, n, lot, at, bt)</td></tr>
<tr class="separator:ae680bad571130136cf42a6296745f935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ab759f97f9486c6200208c3bd79aae"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a60ab759f97f9486c6200208c3bd79aae">block_tridiagonal_m::block_tridiagonal_serial_vso</a> (a, b, c, r, n, lot, at, bt)</td></tr>
<tr class="separator:a60ab759f97f9486c6200208c3bd79aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3077b32065f859e21c80d8f3a091f6d0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0">block_tridiagonal_m::block_tridiagonal_periodic_serial_vv</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a3077b32065f859e21c80d8f3a091f6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b430624855080ff267cf56b714fe64"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceblock__tridiagonal__m.html#a67b430624855080ff267cf56b714fe64">block_tridiagonal_m::block_tridiagonal_serial_vv</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a67b430624855080ff267cf56b714fe64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a466488e7ecab71ae68df7d8f255e1a66"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="block__tridiagonal__m_8f90.html#a466488e7ecab71ae68df7d8f255e1a66">i_block_tridiagonal_periodic_serial_vs</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a466488e7ecab71ae68df7d8f255e1a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c9d79965331f09de7f6926ae1ef27b0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="block__tridiagonal__m_8f90.html#a1c9d79965331f09de7f6926ae1ef27b0">i_block_tridiagonal_periodic_serial_vv</a> (a, b, c, r, n, lot)</td></tr>
<tr class="separator:a1c9d79965331f09de7f6926ae1ef27b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a466488e7ecab71ae68df7d8f255e1a66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a466488e7ecab71ae68df7d8f255e1a66">&#9670;&nbsp;</a></span>i_block_tridiagonal_periodic_serial_vs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine i_block_tridiagonal_periodic_serial_vs </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(n,lot), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72">block_tridiagonal_m::block_tridiagonal_periodic_serial_vs()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_cgraph.png" border="0" usemap="#block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_cgraph" alt=""/></div>
<map name="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_cgraph" id="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_cgraph">
<area shape="rect" id="node2" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vs" alt="" coords="187,5,324,61"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_icgraph.png" border="0" usemap="#block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_icgraph" alt=""/></div>
<map name="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_icgraph" id="block__tridiagonal__m_8f90_a466488e7ecab71ae68df7d8f255e1a66_icgraph">
<area shape="rect" id="node2" href="namespaceblock__pentadiagonal__m.html#a81b86cd61a47d1eda056e526698717c4" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vs" alt="" coords="187,82,353,138"/>
<area shape="rect" id="node3" href="interfaceblock__pentadiagonal__m_1_1i__block__tridiagonal__periodic__serial__v.html#a5b10a1e00e711272f3d23b1db4da27d1" title="block_pentadiagonal\l_m::i_block_tridiagonal\l_periodic_serial_v::i_block\l_tridiagonal_periodic_serial_v" alt="" coords="636,5,828,76"/>
<area shape="rect" id="node4" href="namespaceblock__pentadiagonal__m.html#aa8286a7f1716f038368a07fc7861d7b3" title="block_pentadiagonal\l_m::block_pentadiagonal_vs" alt="" coords="401,119,588,160"/>
<area shape="rect" id="node5" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="681,101,783,127"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="681,151,783,178"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="681,202,783,229"/>
<area shape="rect" id="node11" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="693,253,771,279"/>
<area shape="rect" id="node6" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="913,126,1029,153"/>
<area shape="rect" id="node7" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="1127,119,1303,160"/>
<area shape="rect" id="node8" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="1368,111,1536,167"/>
<area shape="rect" id="node12" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="876,245,1067,287"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="1115,245,1315,287"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="1363,205,1541,247"/>
<area shape="rect" id="node15" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="1376,271,1528,312"/>
</map>
</div>

</div>
</div>
<a id="a1c9d79965331f09de7f6926ae1ef27b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c9d79965331f09de7f6926ae1ef27b0">&#9670;&nbsp;</a></span>i_block_tridiagonal_periodic_serial_vv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine i_block_tridiagonal_periodic_serial_vv </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fmatrix__t.html">r_fmatrix_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structfixed__matrix__vector__m_1_1r__fvector__t.html">r_fvector_t</a>), dimension(lot,n), intent(inout)&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0">block_tridiagonal_m::block_tridiagonal_periodic_serial_vv()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_cgraph.png" border="0" usemap="#block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_cgraph" alt=""/></div>
<map name="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_cgraph" id="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_cgraph">
<area shape="rect" id="node2" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vv" alt="" coords="187,5,324,61"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_icgraph.png" border="0" usemap="#block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_icgraph" alt=""/></div>
<map name="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_icgraph" id="block__tridiagonal__m_8f90_a1c9d79965331f09de7f6926ae1ef27b0_icgraph">
<area shape="rect" id="node2" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="187,53,353,109"/>
<area shape="rect" id="node3" href="interfaceblock__pentadiagonal__m_1_1i__block__tridiagonal__periodic__serial__v.html#a5b10a1e00e711272f3d23b1db4da27d1" title="block_pentadiagonal\l_m::i_block_tridiagonal\l_periodic_serial_v::i_block\l_tridiagonal_periodic_serial_v" alt="" coords="401,5,593,76"/>
<area shape="rect" id="node4" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="423,100,571,141"/>
<area shape="rect" id="node5" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="667,6,768,33"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="667,57,768,83"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a52521d9ef2272f25a65dce1c29f3ef00" title="line_bsolve_z" alt="" coords="667,107,768,134"/>
<area shape="rect" id="node11" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="679,158,756,185"/>
<area shape="rect" id="node16" href="test__bmatrix_8f90.html#ae000855d4cb1e72082717efaf0b1778b" title="solve_block_matrix_tri" alt="" coords="641,210,793,237"/>
<area shape="rect" id="node6" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="879,31,995,58"/>
<area shape="rect" id="node7" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="1092,24,1268,65"/>
<area shape="rect" id="node8" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="1333,17,1501,73"/>
<area shape="rect" id="node12" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="841,147,1032,188"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="1080,147,1280,188"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="1328,109,1507,151"/>
<area shape="rect" id="node15" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="1341,175,1493,216"/>
<area shape="rect" id="node17" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="904,213,969,239"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:46 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
